Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000309 [SkyOS 5.0 - Beta] Applications crash always 2004-09-24 23:35 2005-02-15 11:28
Reporter aphistic View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000309: make crashes (7.9)
Description Make crashes under 7.9, will post trace as bugnote.
Additional Information
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

-  Notes
(0000178)
Nemo (reporter)
2004-09-25 17:38

I agree. I just go to the command line and type 'make' in any location and it crashes. I did submit a crash report through SkyOS... but in case that doesn't really work:

mmfault.c: Invalid vma accessed from task make.app
at 0x0
mmfault.c: Address is in VMA range. How can this happen?
mmfault.c: Address: 00000000 VMA: 00401000 - 00423000
mmfault.c: Execute default exception handler...
**********************************************************************
Exception 0x0E occured.
Exception report follows:
Task make.app with PID 35 caused this exception while running in user mode.
Last sent GI message: 2501
Userstack located 00000000 - 7FFFFFF0, Kernel stack at 08940018 - 0895FC18
SBRK at 0x0045C000

Kernel modules:
0x0C73C000 - 0x0C74B000 /BOOT/SYSTEM/DRIVERS/SLIP.DLD
0x0C78D000 - 0x0C79D000 /BOOT/SYSTEM/DRIVERS/VIARHINE.DLD
0x0C61B000 - 0x0C63E000 /BOOT/SYSTEM/DRIVERS/FIFOFS.DLD
0x0C63E000 - 0x0C65F000 /BOOT/SYSTEM/DRIVERS/LINUXVM.DLD
0x0C69D000 - 0x0C6B6000 /BOOT/SYSTEM/DRIVERS/NVIDIA.DLD
0x0C6FA000 - 0x0C70E000 /BOOT/SYSTEM/DRIVERS/RADEON.DLD
0x0C70E000 - 0x0C71C000 /BOOT/SYSTEM/DRIVERS/RAMDISK.DLD
0x0C66E000 - 0x0C680000 /BOOT/SYSTEM/DRIVERS/MACH64.DLD
0x0C76F000 - 0x0C77D000 /BOOT/SYSTEM/DRIVERS/VFSDEV.DLD
0x0C5C3000 - 0x0C5E4000 /BOOT/SYSTEM/DRIVERS/DEVICEFS.DLD
0x0C557000 - 0x0C576000 /BOOT/SYSTEM/DRIVERS/SNFS.DLD
0x0C6B6000 - 0x0C6C4000 /BOOT/SYSTEM/DRIVERS/PARALLEL.DLD
0x0C5E4000 - 0x0C5F2000 /BOOT/SYSTEM/DRIVERS/ELO.DLD
0x0C79D000 - 0x0C7AE000 /BOOT/SYSTEM/DRIVERS/VMWARE.DLD
0x0C680000 - 0x0C68E000 /BOOT/SYSTEM/DRIVERS/VMT.DLD
0x0C72C000 - 0x0C73C000 /BOOT/SYSTEM/DRIVERS/SB.DLD
0x0C65F000 - 0x0C66E000 /BOOT/SYSTEM/DRIVERS/LO.DLD
0x0C71C000 - 0x0C72C000 /BOOT/SYSTEM/DRIVERS/RTL8139.DLD
0x0C74B000 - 0x0C76F000 /BOOT/SYSTEM/DRIVERS/UMFS.DLD
0x0C598000 - 0x0C5B5000 /BOOT/SYSTEM/DRIVERS/TCPIP.DLD
0x0C77D000 - 0x0C78D000 /BOOT/SYSTEM/DRIVERS/VIA82XX.DLD
0x0C587000 - 0x0C598000 /BOOT/SYSTEM/DRIVERS/AMDPCNET.DLD
0x0C6C4000 - 0x0C6D3000 /BOOT/SYSTEM/DRIVERS/PPP.DLD
0x0C5B5000 - 0x0C5C3000 /BOOT/SYSTEM/DRIVERS/DEBUGL.DLD
0x0C576000 - 0x0C587000 /BOOT/SYSTEM/DRIVERS/AC97.DLD
0x0C608000 - 0x0C61B000 /BOOT/SYSTEM/DRIVERS/ES1371.DLD
0x0C5F2000 - 0x0C608000 /BOOT/SYSTEM/DRIVERS/EMU1K.DLD
0x0C68E000 - 0x0C69D000 /BOOT/SYSTEM/DRIVERS/NULLBLK.DLD
0x0C6D3000 - 0x0C6FA000 /BOOT/SYSTEM/DRIVERS/PTY.DLD
 
Virtual memory regions:
Start End Offset Protection Module (Phys)
===================================================================
00401000 00423000 (0C1BC000) R-X /boot/programs/gcc/make.app (0C1BB000)
00423000 00424000 (0C1DE000) RWX /boot/programs/gcc/make.app (0C1BB000)
00424000 00427000 (00000000) RWX /boot/programs/gcc/make.app (0C1BB000)
00427000 00428000 (0C1E2000) RWX /boot/programs/gcc/make.app (0C1BB000)
00428000 0045A000 (0C1E3000) R-X /boot/programs/gcc/make.app (0C1BB000)
0045B000 0045C000 (00000000) RWX Unknown (00000000)
20001000 2001A000 (0C3DE000) R-X /boot/system/dll/libsky.dll (0C3DD000)
2001A000 2001B000 (0C3F7000) RWX /boot/system/dll/libsky.dll (0C3DD000)
2001B000 2001E000 (0C3F8000) R-X /boot/system/dll/libsky.dll (0C3DD000)
2001E000 20020000 (00000000) RWX /boot/system/dll/libsky.dll (0C3DD000)
20020000 20023000 (0C3FD000) R-X /boot/system/dll/libsky.dll (0C3DD000)
20023000 20024000 (0C400000) RWX /boot/system/dll/libsky.dll (0C3DD000)
35001000 35004000 (0C404000) R-X /boot/system/dll/libini.dll (0C403000)
35004000 35005000 (0C407000) RWX /boot/system/dll/libini.dll (0C403000)
36001000 36002000 (0C3D6000) R-X /boot/system/dll/libenc.dll (0C3D5000)
36002000 36003000 (0C3D7000) RWX /boot/system/dll/libenc.dll (0C3D5000)
36003000 36005000 (0C3D8000) R-X /boot/system/dll/libenc.dll (0C3D5000)
36005000 36006000 (0C3DA000) RWX /boot/system/dll/libenc.dll (0C3D5000)
40001000 40004000 (0C40B000) R-X /boot/system/dll/librsm.dll (0C40A000)
40004000 40005000 (00000000) RWX /boot/system/dll/librsm.dll (0C40A000)
40005000 40006000 (0C40F000) R-X /boot/system/dll/librsm.dll (0C40A000)
40006000 40007000 (0C410000) RWX /boot/system/dll/librsm.dll (0C40A000)
45001000 45003000 (0C414000) R-X /boot/system/dll/libuser.dll (0C413000)
45003000 45005000 (0C416000) RWX /boot/system/dll/libuser.dll (0C413000)
45005000 45007000 (0C418000) R-X /boot/system/dll/libuser.dll (0C413000)
45007000 45008000 (0C41A000) RWX /boot/system/dll/libuser.dll (0C413000)
7FFF0000 80000000 (00000000) RWX Unknown (00000000)
 
Important page entries:
Page table entry for CR2: 0x00000007
Page table entry for EIP: 0x00000007
Page table entry for ESP: 0x08991067
 
Detailed processor status:
Error Code = 00000004, CR2 = 00000000 Stack: 08940018
EAX = 0045BAF0, EBX = 00000000, ECX = 00000000, EDX = 0045BAF0
EFL = 00005246, ESI = 00000000, EDI = 00000000, EBP = 00000000
ESP = 7FFFD608, EIP = 00000000
CS = 0023, DS = 002B, ES = 002B
FS = 002B, GS = 002B, SS = 002B
Page fault occured while task was in user mode
The page is not present and the task tried to read from this page


No kernel stack voilation occured..




User stack backtrace from 0x00000000 / 0x00000000
User stack backtrace from 0x00000000 / 0x00000000
<user: unknown> 0x00000000
<user: unknown> 0x00000000
Invalid address: 0895F9FC

Disassembling code at fault address (Virtual: 0x00000000 Physical: 0x00000000):
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
<invalid>
Memory at EIP (Virtual: 0x00000000 Physical: 0x00000000):
Memory dump at CR2 (Virtual: 0x00000000 Physical: 0x00000000):
<invalid>

Exception report end.
trap.c: Killing this task...
**********************************************************************
critical.c: remove user create critical section
memory.c: Memory summary for task make.app
memory.c: ===========================================
memory.c: Freed page tables : 7 (28 KB)
memory.c: Freed heap pages : 22 (88 KB)
memory.c: Freed/Still used rw data : 8KB / 2KB
memory.c: Freed stack pages : 0 (0 KB)
memory.c: Still used heap pages : -2 (-8192 KB)
memory.c: Still used user pages : -16 (-65536 KB)
memory.c: Free memory : 132100 KB
memory.c: Memory summary end.
memory.c: Memory summary for task bash.app_fork
memory.c: ===========================================
memory.c: Freed page tables : 3 (12 KB)
memory.c: Freed heap pages : 34 (136 KB)
memory.c: Freed/Still used rw data : 28KB / 0KB
memory.c: Freed stack pages : 0 (0 KB)
memory.c: Still used heap pages : -41 (-167936 KB)
memory.c: Still used user pages : 0 (0 KB)
memory.c: Free memory : 132568 KB
memory.c: Memory summary end.

- Issue History
Date Modified Username Field Change
2004-09-24 23:35 aphistic New Issue
2004-09-25 17:38 Nemo Note Added: 0000178
2004-10-06 14:58 robert Project @2@ => SkyOS 5.0 - Beta
2005-02-15 11:28 robert Status new => resolved
2005-02-15 11:28 robert Resolution open => fixed
2005-02-15 11:28 robert Assigned To => robert


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker